        IMPLICIT INTEGER(A-Z)
        INTEGER*4 LASFIL(8),RDFIL(8)
        LOGICAL ASLEEP
        COMMON/CDCOM/ CDLEN,EF,LASPTC,LASWC,STATUS(2),
     &          ASTFLG,ASTERR,DEBUG,RCVMOD
        COMMON/OPPARS/
     &      LPTC,RPTC,TPTC,SSIG,
     &       XWC,AUTOR,RCVEF,AUTOW,
     &      MDEV,ND,DISP,
     &	    RDFIL,
     &      CDLUN,FILLUN,MLUN,
     &      ECHO,ECOCHK,ERRMAX,ECOTOT,ECOMES,
     &      SLEEP,QRCV,TIMO,LASFIL,FILOPT,PAT,SAVBUF(20)
        COMMON/RCV/MAXLEN,RCVBUF(4000)
	COMMON/ECHO/NTECHO,NECHO
        COMMON/XMT/XMMLEN,XMTBUF(4000)
        COMMON/ERRCOM/ERR,IERR2
        COMMON/MENU/MNBUF(500)
        DATA ASLEEP/.FALSE./
        DATA LPTC,TPTC,SSIG,SIGNAL,NSIGN/1,1,0,0,0/
        DATA MDEV/6/
        DATA CDLUN,FILLUN,MLUN/2,4,5/
        DATA ECOCHK,ERRMAX,ECOTOT,ECOMES/1,10,10000,1000/
        DATA ND/10/
        DATA MAXLEN,XMMLEN/4000,4000/
        DATA LASFIL/'SY:[','250,','2]CD','ECHO','.LAS',3*0/
        DATA RDFIL/'SY:[','250,','2]CD','ECHO','.DFT',3*0/
        DATA FILLEN/32/
        DATA AUTOR/1/
	DATA XWC,TIMO/10,30/
	DATA SAVLEN/20/
